"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _GetTranslatableCollectionUseCase = require("./translatableCollection/useCases/GetTranslatableCollectionUseCase");
Object.keys(_GetTranslatableCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _GetTranslatableCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _GetTranslatableCollectionUseCase[key];
    }
  });
});
var _SaveTranslatableCollectionUseCase = require("./translatableCollection/useCases/SaveTranslatableCollectionUseCase");
Object.keys(_SaveTranslatableCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _SaveTranslatableCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _SaveTranslatableCollectionUseCase[key];
    }
  });
});
var _GetOrCreateTranslatableCollectionUseCase = require("./translatableCollection/useCases/GetOrCreateTranslatableCollectionUseCase");
Object.keys(_GetOrCreateTranslatableCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _GetOrCreateTranslatableCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _GetOrCreateTranslatableCollectionUseCase[key];
    }
  });
});
var _CloneTranslatableCollectionUseCase = require("./translatableCollection/useCases/CloneTranslatableCollectionUseCase");
Object.keys(_CloneTranslatableCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _CloneTranslatableCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _CloneTranslatableCollectionUseCase[key];
    }
  });
});
var _GetTranslatedCollectionUseCase = require("./translatedCollection/useCases/GetTranslatedCollectionUseCase");
Object.keys(_GetTranslatedCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _GetTranslatedCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _GetTranslatedCollectionUseCase[key];
    }
  });
});
var _CloneTranslatedCollectionUseCase = require("./translatedCollection/useCases/CloneTranslatedCollectionUseCase");
Object.keys(_CloneTranslatedCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _CloneTranslatedCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _CloneTranslatedCollectionUseCase[key];
    }
  });
});
var _SaveTranslatedCollectionUseCase = require("./translatedCollection/useCases/SaveTranslatedCollectionUseCase");
Object.keys(_SaveTranslatedCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _SaveTranslatedCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _SaveTranslatedCollectionUseCase[key];
    }
  });
});
var _GetOrCreateTranslatedCollectionUseCase = require("./translatedCollection/useCases/GetOrCreateTranslatedCollectionUseCase");
Object.keys(_GetOrCreateTranslatedCollectionUseCase).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (key in exports && exports[key] === _GetOrCreateTranslatedCollectionUseCase[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _GetOrCreateTranslatedCollectionUseCase[key];
    }
  });
});

//# sourceMappingURL=index.js.map